CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002143CentOS-5-OTHERpublic2007-06-14 17:332009-02-18 16:54
Reporterreddevice 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version5.0 - i386 
Target VersionFixed in Version 
Summary0002143: Installation hangs in loadng ata_piix driver on DELL Optiplex GX270
DescriptionInstalling Centos 5.0 i386 fom DVD on a Dell GX270 (BIOS A04 and A07) the system hangs in the window Loading SCSI drivers with the message "Loading ata_piix driver..."

It has been reproduced on three different machines, with BIOS version A04 and A07.

CentOS 4.4 loads fine on these machines.
Tags5.5
Attached Files

- Relationships

-  Notes
(0006554)
stan-qaz (reporter)
2007-12-13 04:25

I ran into the same issue on my Dell Inspiron 530 if you Ctrl-Alt-F4 you can see the sata drives being retried over and over at lower and lower speeds.

Since I'm brand new to Centos after a few hours of banging my head I grabbed an openSUSE 10.3 factory DVD to see if it would load. It loaded with no issues and is running fine.

Since I bought the new Dell to run Centos I don't consider the Suse load a solution but hopefully it will suggest something to folks that have some idea what they are doing. :-)

Hardware:
Dell 82801I (ICH9 Family) 2 port sata ide controller
Dell 82801IR/IO/IH ICH9R 4 port sata ide controller

sata hard drives on ports 0 and 1, sata dvd drive on port 5
ports 3 and 4 are not present on the MB, port 6 is open
(0006556)
range (administrator)
2007-12-13 15:44

Can you *both* try with 5.1 please?

From the Upstream release notes:

ICH9 controllers are now supported.
(0006557)
stan-qaz (reporter)
2007-12-13 18:07

Downloaded, burned and checked both the 5.1 the i386 and x86_64 DVDs and both are acting the same as version 5.

After trying a bunch of boot options to see if I could find a way around the problem and having no luck I went back and looked at the BIOS again and noted a setting under "Integrated Peripherals" for "SATA Mode" with the options of "IDE" or "RAID". Since the ata_piix module seemed to be the one at issue I turned on "RAID" to see what would happen and it switched to loading the achi module instead of the ata_piix.

The boot process completed, X started and all appears to be working at this point with no ata error messages on the alternate console. The drives partitioned and formatted with no problem, centos installed with no issues and boots and runs fine.

Ran the updater to get the latest and the system is still working fine after several reboots.

Is there any more information you could use for me or anything you'd like me to try? I expect to be zapping everything and starting over from scratch several times over the next week or so as I learn more about centos and get xen up and running so I'd be happy to try anything you might find helpful.
(0006559)
range (administrator)
2007-12-14 11:29

No, not really, as I don't have such hardware here. I just saw you mentioning ICH9, and that wasn't supported until 5.1
(0008748)
range (administrator)
2009-02-18 16:54

Seems to be fixed? If not, reopen

- Issue History
Date Modified Username Field Change
2007-06-14 17:33 reddevice New Issue
2007-12-13 04:25 stan-qaz Note Added: 0006554
2007-12-13 15:44 range Note Added: 0006556
2007-12-13 15:45 range Status new => feedback
2007-12-13 18:07 stan-qaz Note Added: 0006557
2007-12-14 11:29 range Note Added: 0006559
2009-02-18 16:54 range Note Added: 0008748
2009-02-18 16:54 range Status feedback => closed
2009-02-18 16:54 range Resolution open => fixed
2010-09-30 03:12 reppep Tag Attached: 5.5


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker